<?xml version="1.0" encoding="utf-8"?>
<extension type="plugin" group="system" method="upgrade">
    <name>plg_system_bubble</name>
    <author>Diablodesign.eu</author>
    <creationDate>February 2025</creationDate>
    <copyright>(C) 2025 Diablodesign.eu. All rights reserved.</copyright>
    <license>GNU General Public License version 2 or later</license>
    <authorEmail>office@diablodesign.eu</authorEmail>
    <authorUrl>www.diablodesign.eu</authorUrl>
    <version>1.0.0</version>
    <description><![CDATA[
        <style>
            .bubble-header {
                display: flex;
                align-items: center;
                gap: 20px;
                margin-bottom: 20px;
            }
            .bubble-logo {
                flex: 0 0 200px;
            }
            .bubble-logo img {
                max-width: 100%;
                height: auto;
            }
            .bubble-info {
                flex: 1;
            }
        </style>
        <div class="bubble-header">
            <div class="bubble-logo">
                <img src="https://diablodesign.eu/images/DiabloDesign/logo/logo-diablo-m.png" alt="Diablodesign.eu" />
            </div>
            <div class="bubble-info">
                <h3>Bubble Effect Plugin by Diablodesign.eu</h3>
                <p><strong>Email:</strong> office@diablodesign.eu</p>
                <p><strong>Website:</strong> <a href="https://www.diablodesign.eu" target="_blank">www.diablodesign.eu</a></p>
            </div>
        </div>
    ]]></description>
    <namespace path="src">Joomla\Plugin\System\Bubble</namespace>
    
    <files>
        <folder>services</folder>
        <folder>src</folder>
        <folder>media</folder>
        <filename plugin="bubble">bubble.php</filename>
    </files>

    <media folder="media" destination="plg_system_bubble">
        <folder>js</folder>
    </media>

    <languages>
        <language tag="en-GB">language/en-GB/plg_system_bubble.ini</language>
        <language tag="en-GB">language/en-GB/plg_system_bubble.sys.ini</language>
    </languages>

    <config>
        <fields name="params">
            <fieldset name="basic">
                <field
                    name="bubble_size"
                    type="number"
                    default="10"
                    label="PLG_SYSTEM_BUBBLE_SIZE_LABEL"
                    description="PLG_SYSTEM_BUBBLE_SIZE_DESC"
                    min="5"
                    max="50"
                />
            </fieldset>
        </fields>
    </config>

    <scriptfile>script.php</scriptfile>
</extension>