<?php
declare(strict_types=1);

namespace Joomla\Plugin\System\Bubble\Extension;

use Joomla\CMS\Extension\PluginInterface;
use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\DI\Container;
use Joomla\DI\ServiceProviderInterface;
use Joomla\Event\DispatcherInterface;
use Joomla\Plugin\System\Bubble\Extension\Bubble;

return new class implements ServiceProviderInterface {
    public function register(Container $container) {
        $container->set(
            PluginInterface::class,
            function (Container $container) {
                $plugin = new Bubble(
                    $container->get(DispatcherInterface::class),
                    (array) PluginHelper::getPlugin('system', 'bubble')
                );
                $plugin->setApplication(Factory::getApplication());

                return $plugin;
            }
        );
    }
};